Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Reply to Work Order Message POSTList Work Order Messages GETCreate Work Order Message POST

Resources

CommunicationMessages

Reply to Work Order Message


Reply to an existing work order message by its message_id. Supports asynchronous processing via async=true.

POST
/api/rest/v2/workorders/{work_order_id}/messages/{message_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

message_id*integer

ID of work order message

Query Parameters

async?boolean

Asynchronous

Value intrue | false
acting_user_id?integer

Acting user id

Request Body

application/json

add message request body.

message*string

Reply message content

classic_alert?boolean

Whether to send a classic alert notification

problem_reopened?boolean

Whether the problem was reopened with this reply

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/messages/0" \  -H "Content-Type: application/json" \  -d '{    "message": "Please proceed with the installation.",    "classic_alert": true  }'
{
  "actions": [],
  "correlation_id": "string_value",
  "metadata": {
    "total": 100,
    "page": 0,
    "pages": 5,
    "per_page": 20,
    "columns": "string_value",
    "view": "string_value",
    "sort": "string_value",
    "order": "string_value"
  },
  "params": [],
  "f_work_order": [],
  "fs_work_order": true,
  "f_only_workorder": true,
  "fs_only_workorder": true,
  "results": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Create Work Order Contact POST

Previous Page

List Work Order Messages GET

Next Page

curl -X POST "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/messages/0" \
  -H "Content-Type: application/json" \
  -d '{
    "message": "Please proceed with the installation.",
    "classic_alert": true
  }'